Skip to main content

Create a custom platform

POST 

/api/v1/Platform

Creates a custom platform, its command plan templates and a resource group for the platform. The new platform is always based on the custom platform and shows command plans, whatever values are sent for those settings.

Permission required: Requires the Admin role.

Values for type: 0 = Unspecified, 1 = Cloud, 2 = Database.

Caution: The platform is created immediately, and any base platform or command plan display values you send are replaced by the server.

Request​

Responses​

The platform was created; the response is the platform object.